Robot Control Interface - Tasks #1486
Check pkgconfig
05/06/2013 05:14 PM - Anonymous

Status: Closed Start date: 05/06/2013
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: rci0.4

Description

cmake configuration is continuously checked on our continuous integration server. also continuously check pkgconfig, ssince this is
largely used in AMARS..
See #1443

Related issues:
Related to Robotics Systems Commons - Tasks # 1443: Check pkg-config Resolved 02/27/2013

History

#1 - 05/07/2013 06:15 AM - J. Moringen

| did some initial experiments for this in project:rsb (#1448). The problematic aspect is handling of upstream projects (That is the reason why the
existing pkg-config test cannot be easily copied from project:rsc, #1443).

| can make my intermediate results available.

#2 - 08/12/2013 01:50 PM - Anonymous
- Status changed from New to Closed

Checking pkg-config on our Cl server is possible, but handling of upstream dependencies gets a real mess, which doesn't seem to maintainable.

| think the way | will do this is using vagrant to quickly set up a vm with a fresh installation and semi-automatically perform a pkg-config test before

release.

#3 - 08/12/2013 02:01 PM - Anonymous
- Target version set to rci0.4
